%define name celestia
%define version 1.6.0
%define release %mkrel 2

Summary:	A real-time visual space simulation
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Astronomy
Source0 	http://prdownloads.sourceforge.net/celestia/%{name}-%{version}.tar.gz
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
Patch0:		celestia-1.6.0-cpp.patch
Patch1:		celestia-1.6.0-stars.patch
URL:		http://www.shatters.net/celestia/
BuildRequires:	libmesaglut-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gtkglarea-devel
#BuildRequires:  libarts-devel
BuildRequires:	gettext-devel
BuildRequires:	GConf2-devel
BuildRequires:	liblua-devel >= 5.1.4
BuildRequires:	libtheora-devel
BuildRequires:	libgtkglext-devel
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Requires:	libtheora.so.0
Requires:	liblua.so.5.1
Requires:	libgnomeui-2.so.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Celestia is a free real-time space simulation that lets you experience
our universe in three dimensions. Unlike most planetarium software,
Celestia doesn't confine you to the surface of the Earth. You can
travel throughout the solar system, to any of over 100,000 stars, or
even beyond the galaxy. All travel in Celestia is seamless; the
exponential zoom feature lets you explore space across a huge range of
scales, from galaxy clusters down to spacecraft only a few meters
across. A 'point-and-goto' interface makes it simple to navigate
through the universe to the object you want to visit.

%prep
%setup -q
%patch0 -p1 -b .cppfix
%patch1 -p1 -b .starsfix

touch admin/config.rpath

%build
autoreconf -ivf

%configure2_5x --with-gtk --with-gnome --disable-rpath --with-lua --enable-theora --with-qt-libraries=/usr/lib/qt3/%{_lib}

%make

rm -rf $RPM_BUILD_ROOT

%install

%makeinstall_std transform=""

bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Astronomy" \
  --add-category="Science" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Astronomy" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %name

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README devguide.txt guide.cel TRANSLATORS
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}
%{_datadir}/pixmaps/*
%{_datadir}/locale/*
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%name.desktop


%changelog
* Fri Jan 08 2010 Texstar <texstar at gmail.com> 1.6.0-2pclos2010
- rebuild

* Thu Oct 15 2009 Joble <gablej@srt.com> 1.6.0-1pclos2010
- Updated for PCLOS 2010 Without KDE

* Fri Feb 29 2008 Texstar <texstar@gmail.com> 1.4.1-6pclos2007
- rebuild against 3.5.9

* Wed Jul 18 2007 Texstar <texstar@gmail.com> 1.4.1-5pclos2007
- update patches

* Fri Jun 08 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.4.1-4
- Rebuild for pclos2007 from Emmanuel Andry

